%define upstream_name	 AppConfig-Std
%define upstream_version 1.10

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Subclass of AppConfig that provides standard options
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/AppConfig/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(AppConfig) >= 1.520.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Pod::Usage) >= 1.140.0
BuildRequires: perl-AppConfig
BuildArch:  noarch

%description
AppConfig::Std is a Perl module that provides a set of standard configuration
variables and command-line switches. It is implemented as a subclass of
AppConfig; AppConfig provides a general mechanism for handling global
configuration variables.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{perl_vendorlib}/AppConfig/*
%{_mandir}/*/*


%changelog
* Tue Jul 11 2017 bb2 <bb2> - 1.100.0-2pclos2017
- rebuild against updates

